# OMPL Plannification: /home/blue/GitLab Repo/OMPL_Planning/Source Files/mapping_planning_tutorial/control_turtlebot/src/OMPL_Planning/OMPL_Planner/StateChecker.cpp File Reference

StateChecker.cpp File Reference

Check if a given configuration is collision-free. The workspace is represented by an octomap. More...

`#include "StateChecker.hpp"`
Include dependency graph for StateChecker.cpp:

Go to the source code of this file.

## Detailed Description

Check if a given configuration is collision-free. The workspace is represented by an octomap.

Author
  Harlé Antoine

Date
  7/2017 - 8/2017

Definition in file StateChecker.cpp.